<?php             defined('C5_EXECUTE') or die(_("Access Denied.")); ?>
<?php         
$form = Loader::helper('form');
$al = Loader::helper('concrete/asset_library');
$ah = Loader::helper('concrete/interface');
?>
<ul id="skybluesofa-socialConnect-tabs" class="ccm-dialog-tabs">
	<li id="skybluesofa-socialConnect-tab-connections" class="skybluesofa-socialConnect-tab ccm-nav-active"><a href="javascript:void(0);"><?php          echo t('Networks')?></a></li>
	<li id="skybluesofa-socialConnect-tab-settings" class="skybluesofa-socialConnect-tab"><a href="javascript:void(0);"><?php          echo t('Advanced')?></a></li>
</ul>
<div class="skybluesofa-socialConnect-pane" id="skybluesofa-socialConnect-pane-connections">
	<div class="skybluesofa-socialConnect-connection-headers">
		<div class="skybluesofa-socialConnect-sortable-handle">&nbsp;</div>
		<div class="skybluesofa-socialConnect-connection-network"><?php           echo $form->label('network', t('Network')) ?></div>
		<div class="skybluesofa-socialConnect-connection-connection"><?php           echo $form->label('connection', t('Connection')) ?></div>
	</div>
	<div class="skybluesofa-socialConnect-connection-list sortable">
		<div class="skybluesofa-socialConnect-connection-template" style="display:none;">
			<div class="skybluesofa-socialConnect-sortable-handle"></div>
			<div class="skybluesofa-socialConnect-connection-network">
				<select name="connection[network][]">
					<option value=""></option>
					<?php          foreach ($networks as $name=>$key) { ?>
						<option value="<?php          echo $key; ?>"><?php          echo $name; ?></option>
					<?php          }?> 
				</select>
			</div>
			<div class="skybluesofa-socialConnect-connection-connection"><input type="text" name="connection[connection][]" value="" style="width:99%;" /></div>
			<div class="skybluesofa-socialConnect-connection-remove" onclick="SkyBlueSofaSocialConnect.removeConnection(this);"></div>
		</div>
		<?php          $connections[] = array(); ?>
		<?php          foreach ($connections as $connection) { ?>
			<div class="skybluesofa-socialConnect-connection">
				<div class="skybluesofa-socialConnect-sortable-handle"></div>
				<div class="skybluesofa-socialConnect-connection-network">
					<select name="connection[network][]">
						<option value=""></option>
						<?php          foreach ($networks as $name=>$key) { ?>
							<option value="<?php          echo $key; ?>" <?php          if ($key == $connection['network']) { ?>selected="selected"<?php          } ?>><?php          echo $name; ?></option>
						<?php          }?> 
					</select>
				</div>
				<div class="skybluesofa-socialConnect-connection-connection"><input type="text" name="connection[connection][]" value="<?php           echo ((isset($connection['url'])) ? $connection['url'] : '') ?>" style="width:99%;" /></div>
				<div class="skybluesofa-socialConnect-connection-remove" onclick="SkyBlueSofaSocialConnect.removeConnection(this);"></div>
			</div>
		<?php          } ?>
	</div>
	<span id="skybluesofa-socialConnect-addconnection"><?php          echo $ah->button_js(t('Add Connection'), 'SkyBlueSofaSocialConnect.addConnection()', 'left');?></span>
</div>
<div class="skybluesofa-socialConnect-pane" id="skybluesofa-socialConnect-pane-settings" style="display:none;">
	<?php          echo t('Tooltip');?>:
	<input name="tooltip" value="<?php          echo $tooltip; ?>">
	<br>

	<?php          echo t('Icon Size');?>:
	<select name="iconSize">
		<option value="16" <?php          if ($iconSize <= 16 && !empty($iconSize)) { ?>selected="selected"<?php          } ?>>16x16</option>
		<option value="24" <?php          if ($iconSize > 16 && $iconSize<=24) { ?>selected="selected"<?php          } ?>>24x24</option>
		<option value="32" <?php          if (($iconSize > 24 && $iconSize<=32) || empty($iconSize)) { ?>selected="selected"<?php          } ?>>32x32</option>
		<option value="48" <?php          if ($iconSize > 32) { ?>selected="selected"<?php          } ?>>48x48</option>
	</select>
	<br>
	
	<?php          echo t('Layout Format');?>:
	<select name="layout">
		<option value="horizontal" <?php          if ($layout == "horizontal" || empty($layout)) { ?>selected="selected"<?php          } ?>>Horizontal</option>
		<option value="vertical" <?php          if ($layout == "vertical") { ?>selected="selected"<?php          } ?>>Vertical</option>
		<option value="cloud" <?php          if ($layout == "cloud") { ?>selected="selected"<?php          } ?>>Cloud</option>
	</select>
	<br>
	
	<?php          echo t('Show Network Name');?>:
	<select name="showNames">
		<option value="1" <?php          if ($showNames == "1") { ?>selected="selected"<?php          } ?>>Yes</option>
		<option value="0" <?php          if ($showNames != "1") { ?>selected="selected"<?php          } ?>>No</option>
	</select>
	<br>
	
	<span style="display:none;">
		<?php          echo t('Animate Icon');?>:
		<select name="animation">
			<option value="1" <?php          if ($animation == "1") { ?>selected="selected"<?php          } ?>>Yes</option>
			<option value="0" <?php          if ($animation != "1") { ?>selected="selected"<?php          } ?>>No</option>
		</select>
	</span>

	<?php          echo t('Floating Template Offset');?>:
	<input name="floating_offset" value="<?php       echo $floating_offset; ?>" size="3" maxlength="4"> px
	<br>
</div>

<style>
DIV.skybluesofa-socialConnect-sortable-handle {
	float:left;
	width:15px;
	height:15px;
	background:url(/packages/skybluesofa_social_share/img/sprites.gif);
	margin-top:6px;
	cursor:pointer;
}
DIV.skybluesofa-socialConnect-sortable-handle:hover {
	background-position:-15px 0;
}
DIV.skybluesofa-socialConnect-connection-headers DIV.skybluesofa-socialConnect-sortable-handle {
	background:none;
	cursor:default;
}
DIV.skybluesofa-socialConnect-connection {
	clear:both;
	height:28px;
}
DIV.skybluesofa-socialConnect-connection-network {
	float:left;
	width:25%;
	padding:1px 3px 1px;
}
DIV.skybluesofa-socialConnect-connection-connection {
	float:left;
	width:65%;
	padding:1px 3px 1px;
}
DIV.skybluesofa-socialConnect-connection-remove {
	float:left;
	width:15px;
	height:15px;
	background:url(/packages/skybluesofa_social_share/img/sprites.gif) 0 -15px;
	margin-top:6px;
	cursor:pointer;
}
DIV.skybluesofa-socialConnect-connection-remove:hover {
	background-position:-15px -15px;
}
</style>